Skip to main content
https://www.google.com/travel/hotels?q=four+seasons+hotel+new+york+downtown&brd_mobile=1

Parameters

q
string
required
The search query parameter. Specifies the keyword or phrase you want to search for on Google.
brd_mobile
string
default:"0"
Define what device type to be represented in user-agentDefault or brd_mobile=0 will provide random desktop user-agent while brd_mobile=1 will provide random mobile user-agent.
https://www.google.com/travel/hotels?q=four+seasons+hotel+new+york+downtown&brd_mobile=1
For specific mobile platform provide one of the following values:
ParameterDescription
brd_mobile=iosiPhone user-agent (alias brd_mobile=iphone)
brd_mobile=ipadiPad user-agent (alias brd_mobile=ios_tablet)
brd_mobile=androidAndroid phone
brd_mobile=android_tabletAndroid tablet
  curl -X POST https://api.brightdata.com/request \
  --header "Content-Type: application/json" \
  --header "Authorization: Bearer API_KEY" \
  --data '{
    "zone": "serp_api1",
    "url": "https://www.google.com/travel/hotels?q=four+seasons+hotel+new+york+downtown&brd_mobile=1",
    "format": "raw"
  }'
curl --proxy brd.superproxy.io:33335 \
  --proxy-user CUSTOMER_USERNAME:CUSTOMER_PASSWORD \
  --ssl-no-revoke \
  "https://www.google.com/travel/hotels?q=four+seasons+hotel+new+york+downtown&brd_mobile=1"
(async () => {
  const response = await fetch('https://api.brightdata.com/request', {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
      'Authorization': 'Bearer API_KEY'
    },
    body: JSON.stringify({
      zone: 'serp_api1',
      url: 'https://www.google.com/travel/hotels?q=four+seasons+hotel+new+york+downtown&brd_mobile=1',
      format: 'raw'
    })
  });
  
  const data = await response.text();
  console.log(data);
})();
import requests

# API Configuration
headers = {
    'Content-Type': 'application/json',
    'Authorization': 'Bearer API_KEY',
}

payload = {
    'zone': 'serp_api1',
    'url': 'https://www.google.com/travel/hotels?q=four+seasons+hotel+new+york+downtown&brd_mobile=1',
    'format': 'raw'
}

# Make the request
response = requests.post(
    'https://api.brightdata.com/request', 
    json=payload, 
    headers=headers
)

print(response.text)
{
  "overview": {
    "type": "hotels",
    "title": "four seasons hotel new york downtown - Google Hotel Search",
    "requested": {
      "occupancy": 2,
      "number_of_adults": 2
    },
    "available": "unknown",
    "currency": "USD"
  }
}